Bug 11720 - eepro100 hangs at boot
eepro100 hangs at boot
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael K. Johnson
Depends On:
  Show dependency treegraph
Reported: 2000-05-28 15:11 EDT by jcoy
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-06-07 12:47:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description jcoy 2000-05-28 15:11:42 EDT
I have a bunch of motherboards with an on-board eepro100.  Often, these
system hangs at boot durring the "initialize eth0".  I have waited as long
as an hour and it never gets past that point.

If you boot with "linux single", and run:

    cd /etc/sysconfig/network-scripts
    ./ifup eth0

It hangs as well.  This happens more frequently on a warm boot then a cold
boot, but that might only be because it gets warm booted more often then
cold booted.

I have upgraded the system to kernel v2.2.14-12, same problem.
Comment 1 ashwink 2000-06-07 12:47:37 EDT
i have the same problem, i have a compaq m/c
i found the following work arounds that sometimes work:

1. change the HDD timing in BIOS to PIO mode 4 and disable DMA for the bus


2. in case you have a UDMA/66 capable HDD, edit your /etc/rc.d/rc.sysinit file
in the FIRST line put the following line:
/sbin/hdparm -X66 -d1 -c1 -m16 -k1 -u1 /dev/hda
THIS IS DANGEROUS!!! make sure these work for you and read hdparm(8)
Comment 2 Alan Cox 2000-08-22 15:03:40 EDT
HJ figured this one out. You shouldnt see a problem with the 2.2.16 kernel in
errata. Let
me know (ie reopen) if you do


Note You need to log in before you can comment on or make changes to this bug.